#!/bin/bash

id0=$( cat /sys/fsl_otp/HW_OCOTP_TESTER0 )
id1=$( cat /sys/fsl_otp/HW_OCOTP_TESTER1 )

echo $id0
echo $id1

unique_id=$((id1<<32))
unique_id=$((unique_id+id0))
unique_id=$( printf "%12.12X\n" $unique_id )

SERIAL=$unique_id

s=${unique_id:0:2}
for((i=2;i<${#unique_id};i+=2)); do s=$s:${unique_id:$i:2}; done

unique_id_mac=$s
MAC=$unique_id_mac

rm -f /etc/avahi/services/ssh.service
cp /home/player/ssh.service.template /etc/avahi/services/ssh.service

sed -i "s/serial=0123456789/serial=${SERIAL}/g" /etc/avahi/services/ssh.service
sed -i "s/mac=66-55-44-33-22-11/mac=${MAC}/g"   /etc/avahi/services/ssh.service

systemctl restart avahi-daemon

